Bug 1258759 - Encoding issue in 'title' field in .vv file
Encoding issue in 'title' field in .vv file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity unspecified
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Tomas Jelinek
Jiri Belka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 04:32 EDT by Christophe Fergeau
Modified: 2016-04-19 21:26 EDT (History)
8 users (show)

See Also:
Fixed In Version: 3.6.0-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:26:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45718 master MERGED webadmin: encoding issue in vv file Never
oVirt gerrit 45807 ovirt-engine-3.6 MERGED webadmin: encoding issue in vv file Never

  None (edit)
Description Christophe Fergeau 2015-09-01 04:32:14 EDT
When downloading a .vv file in the userportal, the .vv file contains:
title=teuf-rhel7:%d - Appuyer sur MAJ+F12 pour libérer le curseur

With 3.5, the .vv file used to contain the expected:
title=teuf-win7:%d - Appuyer sur MAJ+F12 pour libérer le curseur

For what it's worth,
$ echo é | iconv -f utf8 -f iso8859-1
é
(ie could be double encoding of the string to UTF8 or something like that)
Comment 1 Oved Ourfali 2015-09-02 02:04:32 EDT
Michal - is that virt?
Comment 2 Jiri Belka 2015-09-16 12:18:28 EDT
ok, rhevm-userportal-3.6.0-0.15.master.el6.noarch

looks good in Admin portal and both (basic|extended) views of User Portal

$ grep ^title /tmp/console.vv 
title=jb-bz1:%d - Appuyer sur MAJ+F12 pour libérer le curseur

Note You need to log in before you can comment on or make changes to this bug.